package guest;
 
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TypedQuery;
 
@Stateless
public class GuestDao {
    // Injected database connection:
    @PersistenceContext(unitName="GuestbookPU") private EntityManager em;
 
    // Stores a new guest:
    public void persist(Guest guest) {
    	try {
        em.persist(guest);
    	} catch (Exception ex)
    	{
    		ex.printStackTrace();
    	}
    }
 
    // Retrieves all the guests:
    public List<Guest> getAllGuests() {
    	try {
        TypedQuery<Guest> query = em.createQuery(
            "SELECT g FROM Guest g ORDER BY g.id", Guest.class);
        return query.getResultList();
    	} catch (Exception ex)
    	{
    		ex.printStackTrace();
    		return null;
    	}
    }
}